All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
cl::detail::Wrapper< cl_device_id > Class Template Reference

`#include <cl2.hpp>`

Inherited by cl::Device.

## Public Types

typedef cl_device_id | cl_type

## Public Member Functions

| Wrapper ()
| Wrapper (const cl_type &obj, bool retainObject)
| ~Wrapper ()
| Wrapper (const Wrapper< cl_type > &rhs)
| Wrapper (Wrapper< cl_type > &&rhs) CL_HPP_NOEXCEPT_
Wrapper< cl_type > & | operator= (const Wrapper< cl_type > &rhs)
Wrapper< cl_type > & | operator= (Wrapper< cl_type > &&rhs)
Wrapper< cl_type > & | operator= (const cl_type &rhs)
const cl_type & | operator() () const
cl_type & | operator() ()
const cl_type | get () const
cl_type | get ()

## Protected Member Functions

cl_int | retain () const
cl_int | release () const

## Static Protected Member Functions

static bool | isReferenceCountable (cl_device_id device)

## Protected Attributes

cl_type | object_
bool | referenceCountable_

## Friends

template<typename Func , typename U >
cl_int | getInfoHelper (Func, cl_uint, U *, int, typename U::cl_type)
template<typename Func , typename U >
cl_int | getInfoHelper (Func, cl_uint, vector< U > *, int, typename U::cl_type)

## Member Typedef Documentation

typedef cl_device_id cl::detail::Wrapper< cl_device_id >::cl_type

## Constructor & Destructor Documentation

cl::detail::Wrapper< cl_device_id >::Wrapper | ( |  | ) |

inline

cl::detail::Wrapper< cl_device_id >::Wrapper | ( | const cl_type & | obj,
|  | bool | retainObject
| ) |  |

inline

cl::detail::Wrapper< cl_device_id >::~Wrapper | ( |  | ) |

inline

cl::detail::Wrapper< cl_device_id >::Wrapper | ( | const Wrapper< cl_type > & | rhs | ) |

inline

cl::detail::Wrapper< cl_device_id >::Wrapper | ( | Wrapper< cl_type > && | rhs | ) |

inline

## Member Function Documentation

const cl_type cl::detail::Wrapper< cl_device_id >::get | ( |  | ) | const

inline

cl_type cl::detail::Wrapper< cl_device_id >::get | ( |  | ) |

inline

static bool cl::detail::Wrapper< cl_device_id >::isReferenceCountable | ( | cl_device_id | device | ) |

inlinestaticprotected

const cl_type& cl::detail::Wrapper< cl_device_id >::operator() | ( |  | ) | const

inline

cl_type& cl::detail::Wrapper< cl_device_id >::operator() | ( |  | ) |

inline

Wrapper<cl_type>& cl::detail::Wrapper< cl_device_id >::operator= | ( | const Wrapper< cl_type > & | rhs | ) |

inline

Wrapper<cl_type>& cl::detail::Wrapper< cl_device_id >::operator= | ( | Wrapper< cl_type > && | rhs | ) |

inline

Wrapper<cl_type>& cl::detail::Wrapper< cl_device_id >::operator= | ( | const cl_type & | rhs | ) |

inline

cl_int cl::detail::Wrapper< cl_device_id >::release | ( |  | ) | const

inlineprotected

cl_int cl::detail::Wrapper< cl_device_id >::retain | ( |  | ) | const

inlineprotected

## Friends And Related Function Documentation

template<typename Func , typename U >

cl_int getInfoHelper | ( | Func | ,
|  | cl_uint | ,
|  | U * | ,
|  | int | ,
|  | typename U::cl_type |
| ) |  |

friend

template<typename Func , typename U >

cl_int getInfoHelper | ( | Func | ,
|  | cl_uint | ,
|  | vector< U > * | ,
|  | int | ,
|  | typename U::cl_type |
| ) |  |

friend

## Member Data Documentation

cl_type cl::detail::Wrapper< cl_device_id >::object_

protected

bool cl::detail::Wrapper< cl_device_id >::referenceCountable_

protected

The documentation for this class was generated from the following file:

- /home/travis/build/CMU-Perceptual-Computing-Lab/openpose/include/openpose/gpu/cl2.hpp